Static Public Member Functions | Classes
com.ugrokit.api.UgiFarsens Class Reference

## Overview

Support for reading Farsens sensor tags.

## Static Public Member Functions
static void | readFenixVortexTemperature (final UgiTag tag, final UgiFarsensStatusCallback statusCallback, final UgiFarsensReadFenixVortexTemperatureCompletion completion)
| Read the temperature from a Fenix-Vortex tag. More...
static void | readFenixVortexPressure (final UgiTag tag, final UgiFarsensStatusCallback statusCallback, final UgiFarsensReadFenixVortexPressureCompletion completion)
| Read the pressure from a Fenix-Vortex tag. More...
static void | readKineo (final UgiTag tag, final UgiFarsensStatusCallback statusCallback, final UgiFarsensReadKineoCompletion completion)
| Read the orientation from a Kineo tag. More...
static void | readTitan (final UgiTag tag, final UgiFarsensStatusCallback statusCallback, final UgiFarsensReadTitanCompletion completion)
| Read the relay setting from a Kineo tag. More...
static void | writeTitan (final UgiTag tag, final boolean setPosition1, final UgiFarsensStatusCallback statusCallback, final UgiFarsensWriteTitanCompletion completion)
| Set the relay state of a Kineo tag. More...

## Classes
interface | UgiFarsensReadFenixVortexPressureCompletion
| Completion for readFenixVortexTemperature. More...
interface | UgiFarsensReadFenixVortexTemperatureCompletion
| Completion for readFenixVortexTemperature. More...
interface | UgiFarsensReadKineoCompletion
| Completion for readKineo. More...
interface | UgiFarsensReadTitanCompletion
| Completion for readTitan. More...
interface | UgiFarsensStatusCallback
| Completion for readFenixVortexTemperature. More...
interface | UgiFarsensWriteTitanCompletion
| Completion for writeTitan. More...

## Member Function Documentation

## ◆ readFenixVortexTemperature()

static void com.ugrokit.api.UgiFarsens.readFenixVortexTemperature | ( | final UgiTag | tag,
|  | final UgiFarsensStatusCallback | statusCallback,
|  | final UgiFarsensReadFenixVortexTemperatureCompletion | completion
| ) |  |
| static

Read the temperature from a Fenix-Vortex tag.

Parameters

  tag | Tag to read
  statusCallback | Callback for each step of the process (intended for use with showWaiting)
  completion | Completion when finished

## ◆ readFenixVortexPressure()

static void com.ugrokit.api.UgiFarsens.readFenixVortexPressure | ( | final UgiTag | tag,
|  | final UgiFarsensStatusCallback | statusCallback,
|  | final UgiFarsensReadFenixVortexPressureCompletion | completion
| ) |  |
| static

Read the pressure from a Fenix-Vortex tag.

Parameters

  tag | Tag to read
  statusCallback | Callback for each step of the process (intended for use with showWaiting)
  completion | Completion when finished

## ◆ readKineo()

static void com.ugrokit.api.UgiFarsens.readKineo | ( | final UgiTag | tag,
|  | final UgiFarsensStatusCallback | statusCallback,
|  | final UgiFarsensReadKineoCompletion | completion
| ) |  |
| static

Read the orientation from a Kineo tag.

Parameters

  tag | Tag to read
  statusCallback | Callback for each step of the process (intended for use with showWaiting)
  completion | Completion when finished

## ◆ readTitan()

static void com.ugrokit.api.UgiFarsens.readTitan | ( | final UgiTag | tag,
|  | final UgiFarsensStatusCallback | statusCallback,
|  | final UgiFarsensReadTitanCompletion | completion
| ) |  |
| static

Read the relay setting from a Kineo tag.

Parameters

  tag | Tag to read
  statusCallback | Callback for each step of the process (intended for use with showWaiting)
  completion | Completion when finished

## ◆ writeTitan()

static void com.ugrokit.api.UgiFarsens.writeTitan | ( | final UgiTag | tag,
|  | final boolean | setPosition1,
|  | final UgiFarsensStatusCallback | statusCallback,
|  | final UgiFarsensWriteTitanCompletion | completion
| ) |  |
| static

Set the relay state of a Kineo tag.

Parameters

  setPosition1 | YES to set position 1, NO to set position 2
  tag | Tag to read
  statusCallback | Callback for each step of the process (intended for use with showWaiting)
  completion | Completion when finished